META
{
  Parser = Menu;
  After = zUnionMenu.d;
};

namespace zGamePad_Update {
  const int i_MenuStepY             = 550;
  const int i_MenuTextX             = 450;
  const int i_MenuTextY             = 1400;
  const int i_MenuTextWidth         = 8000;
  const int i_MenuTextHeight        = 750;
  const string s_MenuBackground     = "MENU_INGAME.TGA";
  const string s_MenuItemBackground = "";


  prototype IMenuBase(C_MENU) {
    C_MENU_DEF();
    backpic  = s_MenuBackground;
    items[0] = "";
    flags    = flags | MENU_SHOW_INFO;
  };


  prototype IMenuItemTextBase(C_MENU_ITEM) {
    C_MENU_ITEM_DEF();
    backpic        = s_MenuItemBackground;
    posx           = i_MenuTextX;
    posy           = i_MenuTextY;
    dimx           = i_MenuTextWidth;
    dimy           = i_MenuTextHeight;
    flags          = flags | IT_EFFECTS_NEXT;
    onselaction[0] = SEL_ACTION_UNDEF;
  };


  prototype IMenuItemTextLine(C_MENU_ITEM) {
    C_MENU_ITEM_DEF();
    type     = MENU_ITEM_TEXT;
    posx     = 0;
    posy     = 3400;
    dimx     = 8100;
    flags    = flags & ~IT_SELECTABLE;
    flags    = flags | IT_TXT_CENTER;
    fontname = MENU_FONT_SMALL;
  };


  instance Menu_Update(IMenuBase) {
    Menu_SearchItems( "zGamePad_Update:MenuItem_*" );
    defaultoutgame = 1;
    defaultingame = 1;
  };


    instance MenuItem_MoreAbout(IMenuItemTextBase) {
      posy             = 6300;
      posx             = 64;
      onselaction[0]   = SEL_ACTION_UNDEF;
      oneventaction[1] = Proc_MoreAbout;
      flags            = flags | IT_TXT_CENTER;
      text[0]          = Str_GetLocalizedString(
        "Подробнее об обновлении",
        "More about this update",
        "Mehr zu diesem Update",
        "Więcej o tej aktualizacji"
      );
    };

    func int Proc_MoreAbout() {
      test(G2A) Open_Link("https://steamcommunity.com/sharedfiles/filedetails/changelog/2793815202");
      test(G1)  Open_Link("https://steamcommunity.com/sharedfiles/filedetails/changelog/2793930041");
      return 0;
    };


  instance MenuItem_Back(C_MENU_ITEM) {
    Union_MenuItem_Back();
    posy = 7000;
    text[0] = Str_GetLocalizedString(
      "Продолжить",
      "Continue",
      "ZURÜCK",
      "Kontynuuj"
    );
  };


  instance MenuItem_Headline(C_MENU_ITEM_DEF) {
    type     = MENU_ITEM_TEXT;
    posx     = 0;
    posy     = 1200;
    dimx     = 8100;
    flags    = flags & ~IT_SELECTABLE;
    flags    = flags | IT_TXT_CENTER;
    text[0]  = Str_GetLocalizedString(
      "zGamePad обновлен!",
      "zGamePad was updated!",
      "zGamePad wurde aktualisiert!",
      "zGamePad został zaktualizowany!"
    );
  };


  instance MenuItem_TextLine01(IMenuItemTextLine) {
    posy += i_MenuStepY * -1;
    var string personalName; personalName = Hlp_GetSteamPersonalName();
    if (Str_GetLength(personalName) == 0) {
      return;
    };
    
    var string message; message = Str_GetLocalizedString(
      "Хей, %s!",
      "Hey, %s!",
      "Hey, %s!",
      "Hej, %s!"
    );
    
    text[0] = Str_Format( message, personalName );
  };


  instance MenuItem_TextLine02(IMenuItemTextLine) {
    posy += i_MenuStepY * 0;
    text[0]  = Str_GetLocalizedString(
      "Сохраняться стало удобнее!",
      "Saving just got easier!",
      "Sparen ist jetzt noch einfacher!",
      "Zapisywanie stało się jeszcze łatwiejsze!"
    );
  };


  instance MenuItem_TextLine03(IMenuItemTextLine) {
    posy += i_MenuStepY * 1;
    text[0]  = Str_GetLocalizedString(
      "Плагин будет самостоятельно чередовать",
      "The plugin will automatically rotate",
      "Das Plugin wird unabhängig voneinander die",
      "Wtyczka automatycznie zmieni kolejność"
    );
  };


  instance MenuItem_TextLine04(IMenuItemTextLine) {
    posy += i_MenuStepY * 2;
    text[0]  = Str_GetLocalizedString(
      "ячейки сохранений и предлагать для загрузки",
      "saves slots and choose to load the",
      "Speichern wechseln und den",
      "slotu zapisu i wybierze do załadowania"
    );
  };


  instance MenuItem_TextLine05(IMenuItemTextLine) {
    posy += i_MenuStepY * 3;
    text[0]  = Str_GetLocalizedString(
      "самую актуальную из них.",
      "most later of them.",
      "aktuellsten zum Download anbieten..",
      "najnowszy z nich."
    );
  };
